Bug 1895065 - Schema / Samples / Snippets Tabs are all selected at the same time [NEEDINFO]
Summary: Schema / Samples / Snippets Tabs are all selected at the same time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-05 16:56 UTC by Andrew Ballantyne
Modified: 2021-02-24 15:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The yaml editor resource sidebar could not toggle between sample and snippets anymore after adding i18n support. Consequence: When viewing a YAML editor sidebar, the tabs for Schema/Samples/Snippets show up all selected at the same time. Fix: Keep the translation in ResourceSidebar and keep SimpleTabNav "translation free". Result: The selected tab is the only one selected
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2020-10-27-051128 Cluster ID: f48ef25b-44fa-4820-a24e-f71c75bd1108 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/86.0.4240.111 Safari/537.36
Last Closed: 2021-02-24 15:31:24 UTC
Target Upstream Version:
cjerolim: needinfo? (jhadvig)


Attachments (Terms of Use)
NetworkPoliciesCreateYAML (218.65 KB, image/png)
2020-11-05 16:56 UTC, Andrew Ballantyne
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7125 0 None closed Bug 1895065: Fix sample / snippet toggle in resource sidebar 2021-01-15 13:08:55 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:31:54 UTC

Description Andrew Ballantyne 2020-11-05 16:56:34 UTC
Created attachment 1726942 [details]
NetworkPoliciesCreateYAML

Description of problem:
When viewing a YAML editor sidebar, the tabs for Schema/Samples/Snippets show up all selected at the same time, despite the view under it.


Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-10-27-051128

How reproducible:
Always (needs at least two tabs for it to be apparent)

Steps to Reproduce:
1. Navigate to the Network Polices Create YAML
2. Open the sidebar (if it's not already open)

Actual results:
Both tabs are selected (see screenshot)

Expected results:
The selected tab (and subsequent content) should be the only one selected

Additional info:
Did not test in previous releases, just saw this today.

Comment 1 Christoph Jerolimov 2020-11-05 18:24:24 UTC
@jhadvig@redhat.com I created this PR to fix this: https://github.com/openshift/console/pull/7125

If you want solve this with another approche feel free to close my ticket.

Comment 3 Yanping Zhang 2020-11-09 08:38:14 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2020-11-08-225909.
Steps to verify:
  Go to the Network Polices Create YAML, then open the sidebar, the first tab is selected, and could click to select the second tab, only one tab is selected when switch.
The bug is  fixed.

Comment 6 errata-xmlrpc 2021-02-24 15:31:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.